package com.ghost.technic.server.card.playable.usable;

public interface Usable {
    boolean isReady();
    void setReady(boolean ready);

    default void exhaust() {
        setReady(false);
    }

    default void ready() {
        setReady(true);
    }

    // Cards are played exhausted by default
    default void enterPlay() {
        exhaust(); // enters play exhausted
    }
}
